Subject: [Errata Held for Document Update] RFC7231 (5541)

From: RFC Errata System <[email-masked]>
Date: Wed, 20 Mar 2019 11:49:56 -0700 (PDT)

The following errata report has been held for document update 
for RFC7231, "Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5541

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Danil Suits <[email-masked]>
Date Reported: 2018-11-02
Held by: Alexey Melnikov (IESG)

Section: 4.3.5

Original Text
-------------
If a DELETE
   request passes through a cache that has one or more stored responses
   for the effective request URI, those stored responses will be
   invalidated

Corrected Text
--------------
If a successful DELETE
   request passes through a cache that has one or more stored responses
   for the effective request URI, those stored responses will be
   invalidated

Notes
-----
RFC 7234 4.4 describes the semantics of cache invalidation for successful requests (non-error status code), but does not describe semantics for unsuccessful requests.  The corrected text parallels the construction in section 4.3.4 ("If a successful PUT request...").

Mark Nottingham wrote:

I think HOLD FOR UPDATE; we can address this in the current http-core work. 

--------------------------------------
RFC7231 (draft-ietf-httpbis-p2-semantics-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG